- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
PathDumper< GR >::ArcIt Class Reference

## Detailed Description

### template<typename GR>
class lemon::concepts::PathDumper< GR >::ArcIt

LEMON style iterator class for enumerating the arcs of a path.

`#include <lemon/concepts/path.h>`

## Public Member Functions
| ArcIt ()
| Default constructor.
| ArcIt (Invalid)
| Invalid constructor.
| ArcIt (const PathDumper &)
| Sets the iterator to the first arc of the given path.
| operator Arc () const
| Conversion to `Arc`.
ArcIt & | operator++ ()
| Next arc.
bool | operator== (const ArcIt &) const
| Comparison operator.
bool | operator!= (const ArcIt &) const
| Comparison operator.
bool | operator< (const ArcIt &) const
| Comparison operator.